package com.tykj.dev.device.loss.service;

import com.tykj.dev.device.loss.entity.domain.DeviceLoss;

import java.util.List;

public interface DeviceLossService {
    /**
     * 丢失、找回表单信息保存
     */
    DeviceLoss save(DeviceLoss deviceLoss);

    /**
     * 丢失、找回 根据单据id查询单据详情
     */
    DeviceLoss findByDeviceLoss(Integer lossId);

    /**
     * 丢失、找回 查询所有的丢失、找回单据信息
     */
    List<DeviceLoss> findByListLoss();

    /**
     * 丢失、找回 根据单位ID查询单据信息集合
     */
    List<DeviceLoss> findByListLossUnitId(Integer unitId);


}
